class Point
	attr_accessor "x", "y"

	def initialize(x=1, y=1)
		@x = x
		@y = y
	end

	def +(other)
		cp = Point.new
		cp.x = @x + other.x
		cp.y = @y + other.y
		return cp
	end

	def [](index)
		if index.is_a? Fixnum then
			case index
			when 0 then return @x
			when 1 then return @y
			else return nil
			end
		else
			puts "don't do that"
			return nil
		end
	end

	def <=>(other)
		if @x < other.x
			return -1
		elsif @x > other.x
			return 1
		elsif @y < other.y
			return -1
		elsif @y > other.y
			return 1
		else
			return 0
		end
	end
	include Comparable

	def to_s
		return "(" + @x.to_s + "," + @y.to_s + ")"
	end
end

=begin
p = Point.new(1,0)

q = Point.new(2,3)

puts "#{p} >= #{q} => #{p >= q}"
p += q
puts "#{p} >= #{q} => #{p >= q}"
=end
