class Point
	attr_accessor "x", "y"
	@@num_created = 0		# Class variable (like static)

	def initialize(x=1, y=1)
		@x = x
		@y = y
		@@num_created += 1
	end

	def Point.num_created
		return @@num_created
	end

	def +(other)
		cp = Point.new
		cp.x = @x + other.x
		cp.y = @y + other.y
		return cp
	end

	def [](index)
		case index
		when 0 then return @x
		when 1 then return @y
		else return nil
		end
	end

	include Comparable
	def <=>(other)
		if @x < other.x
			return -1
		elsif @x > other.x
			return 1
		elsif @y < other.y
			return -1
		elsif @y > other.y
			return 1
		else
			return 0
		end
	end

	def to_s
		return "(" + @x.to_s + "," + @y.to_s + ")"
	end
end

puts Point.num_created

p = Point.new(1,2)
q = Point.new
puts Point.num_created

5.times { Point.new }
puts Point.num_created
